ModelQuality
Analyze model quality
POST
/
model-monitor
/
v2
/
api
/
model
/
{model_id}
/
analyze-model-quality
Analyze model quality
curl --request POST \
--url https://mycluster.domino.tech/model-monitor/v2/api/model/{model_id}/analyze-model-quality \
--header 'Content-Type: application/json' \
--header 'X-Domino-Api-Key: <api-key>' \
--data '
{
"modelType": "<string>",
"metricCheckConfigs": [
{
"alertsEnabled": true,
"threshold": {
"lowerThreshold": 123,
"operator": "<string>",
"upperThreshold": 123
}
}
],
"endTimestamp": 123,
"startTimestamp": 123
}
'import requests
url = "https://mycluster.domino.tech/model-monitor/v2/api/model/{model_id}/analyze-model-quality"
payload = {
"modelType": "<string>",
"metricCheckConfigs": [
{
"alertsEnabled": True,
"threshold": {
"lowerThreshold": 123,
"operator": "<string>",
"upperThreshold": 123
}
}
],
"endTimestamp": 123,
"startTimestamp": 123
}
headers = {
"X-Domino-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-Domino-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
modelType: '<string>',
metricCheckConfigs: [
{
alertsEnabled: true,
threshold: {lowerThreshold: 123, operator: '<string>', upperThreshold: 123}
}
],
endTimestamp: 123,
startTimestamp: 123
})
};
fetch('https://mycluster.domino.tech/model-monitor/v2/api/model/{model_id}/analyze-model-quality', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"calculatedOn": 123,
"endTimestamp": 123,
"matchedRowCount": 123,
"metricTestResults": [
{
"alertsEnabled": true,
"metricType": "<string>",
"threshold": {
"lowerThreshold": 123,
"operator": "<string>",
"upperThreshold": 123
},
"trend": [
{
"timestamp": 123,
"numberOfRows": 123,
"value": 123
}
],
"numberOfRecords": 123,
"status": true,
"value": 123
}
],
"modelType": "<string>",
"startTimestamp": 123,
"classificationReport": {
"accuracyReport": {
"support": 123,
"value": 123
},
"averagesReport": [
{
"heading": "<string>",
"support": 123,
"f1Score": 123,
"precision": 123,
"recall": 123
}
],
"labelsReport": [
{
"heading": "<string>",
"support": 123,
"f1Score": 123,
"precision": 123,
"recall": 123
}
]
},
"confusionMatrix": {
"labels": [
"<string>"
],
"matrix": [
[
123
]
]
}
}Authorizations
DominoApiKeyAuthDmmApiKeyAuthcookieAuthBearerAuth
Path Parameters
Identifier for the model to be updated.
Body
application/json
Response
The MQ analyze query was done successfully.
- Option 1
- Option 2
Timestamp of time when the query was performed.
End time for the data used for the query.
Number of matched Ground Truth and Prediction rows for this query.
Metric Test Results for the queries.
Show child attributes
Show child attributes
Type of the model
Start time for the data used for the query.
List of Metrics per label, List of Macro and Weighted Averaged metrics, and Micro Accuracy value
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Last modified on August 27, 2026
Related topics
Analyze model qualityData drift and quality monitoringUse monitoringSet up model quality monitoringWas this page helpful?
⌘I
Analyze model quality
